export declare type GatsbyNodePluginArgs = {
    files: GatsbyFile[];
    markdownNode: MarkdownNode;
    markdownAST: any;
};
export declare type GatsbyFile = {
    absolutePath: string;
};
export declare type PluginOptions = {
    staticFolderName: string;
    include: string[];
    exclude: string[];
};
export declare type FrontMatterOptions = {
    staticFolderName: string;
    include: string[];
    exclude: string[];
};
export declare type MarkdownNode = {
    id: string;
    parent: string;
    url: string;
    frontmatter?: object;
    internal: {
        type: string;
    };
    fileAbsolutePath: string;
};
export declare type Node = {
    dir: string;
};
export declare type HtmlNode = {
    value: string;
} & MarkdownNode;
declare const plugin: ({ files, markdownNode, markdownAST }: GatsbyNodePluginArgs, pluginOptions: PluginOptions) => Promise<void>;
export default plugin;
